IterativeClassifier

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.classifiers
Interface IterativeClassifier

All Known Implementing Classes:
  ADTree

    public interface IterativeClassifier

Interface for classifiers that can induce models of growing complexity one step at a time.

Version:
  $Revision: 1.3 $
Author:
  Gabi Schmidberger (gabi@cs.waikato.ac.nz), Bernhard Pfahringer (bernhard@cs.waikato.ac.nz)

Method Summary
`java.lang.Object` | `clone()` Performs a deep copy of the classifier, and a reference copy of the training instances (or a deep copy if required).
`void` | `done()` Signal end of iterating, useful for any house-keeping/cleanup
`void` | `initClassifier(Instances instances)` Inits an iterative classifier.
`void` | `next(int iteration)` Performs one iteration.

Method Detail

### initClassifier

    void initClassifier(Instances instances)
                        throws java.lang.Exception

  Inits an iterative classifier.

  Parameters:
    `instances` - the instances to be used in induction
  Throws:
    `java.lang.Exception` - if the model cannot be initialized

### next

    void next(int iteration)
              throws java.lang.Exception

  Performs one iteration.

  Parameters:
    `iteration` - the index of the current iteration (0-based)
  Throws:
    `java.lang.Exception` - if this iteration fails

### done

    void done()
              throws java.lang.Exception

  Signal end of iterating, useful for any house-keeping/cleanup

  Throws:
    `java.lang.Exception` - if cleanup fails

### clone

    java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Performs a deep copy of the classifier, and a reference copy of the training instances (or a deep copy if required).

  Returns:
    a clone of the classifier
  Throws:
    `java.lang.CloneNotSupportedException`

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD